<template>
  <div>
    <div v-if="isMobile"  class="gameNav mobile">
      <div class="container row">
        <div class="nav">
          <div class="nav-item active" @click="toGameNav('navHot', $event)">
            <img :src="MobileNav.Hot" alt="Hot">
            <img class="nav-active" :src="MobileNav.Hot_h" alt="Hot">
          </div>
          <div class="nav-item" @click="toGameNav('navLive', $event)">
            <img :src="MobileNav.Live" alt="Live">
            <img class="nav-active" :src="MobileNav.Live_h" alt="Live">
          </div>
          <div class="nav-item" @click="toGameNav('navSport', $event)">
            <img :src="MobileNav.Sport" alt="Sport">
            <img class="nav-active" :src="MobileNav.Sport_h" alt="Sport">
          </div>
          <div class="nav-item" @click="toGameNav('navSlot', $event)">
            <img :src="MobileNav.Slot" alt="Slot">
            <img class="nav-active" :src="MobileNav.Slot_h" alt="Slot">
          </div>
          <div class="nav-item" @click="toGameNav('navLottery', $event)">
            <img :src="MobileNav.Lottery" alt="Lottery">
            <img class="nav-active" :src="MobileNav.Lottery_h" alt="Lottery">
          </div>
          <div class="nav-item" @click="toGameNav('navPoker', $event)">
            <img :src="MobileNav.Poker" alt="Poker">
            <img class="nav-active" :src="MobileNav.Poker_h" alt="Poker">
          </div>
          <!--<div class="nav-item" @click="toGameNav('navESport', $event)">
            <img :src="MobileNav.ESport" alt="ESport">
            <img class="nav-active" :src="MobileNav.ESport_h" alt="ESport">
          </div>-->
          <div class="nav-item" @click="toGameNav('navFishing', $event)">
            <img :src="MobileNav.Fishing" alt="Fishing">
            <img class="nav-active" :src="MobileNav.Fishing_h" alt="Fishing">
          </div>
        </div>
        <div class="game">
          <div id="navHot" class="game-item game-item-3 active">
            <a :class="Hot.Class||''"
              :href="Hot.Hallid ? 'javascript:;' : `${Hot.Href}`"
              v-for="(Hot, index1) in Hots" :key="index1"
              @click="Hot.Hallid ? openModal(Hot.Name, Hot.Hallid) : ''"
            >
              <img :src="Hot.Img" alt="Hot Games" />
            </a>
          </div>
          <div id="navLive" class="game-item">
            <a 
              :href="Live.Hallid ? 'javascript:;' : `./live?c=${Live.Eid}`"
              v-for="(Live, index1) in Lives" :key="index1"
              @click="Live.Hallid ? openModal(Live.Name, Live.Hallid) : ''"
            >
              <img :src="Live.Img" alt="Live Casino" />
            </a>
          </div>
          <div id="navSport" class="game-item game-item-2">
            <a 
              :href="Sport.Hallid ? 'javascript:;' : `./sport?c=${Sport.Eid}`"
              v-for="(Sport, index2) in Sports" :key="index2"
              @click="Sport.Hallid ? openModal(Sport.Name, Sport.Hallid) : ''"
            >
              <img :src="Sport.Img" alt="Sport" />
            </a>
          </div>
          <div id="navSlot" class="game-item">
            <a :class="Slot.Class||''"
              :href="Slot.Hallid ? 'javascript:;' : `./slot?c=${Slot.Eid}`"
              v-for="(Slot, index2) in Slots" :key="index2"
              @click="Slot.Hallid ? openModal(Slot.Name, Slot.Hallid) : ''"
            >
              <img :src="Slot.Img" alt="Slot" />
            </a>
          </div>
          <div id="navLottery" class="game-item game-item-2">
            <a 
              :href="Lottery.Hallid ? 'javascript:;' : `./lottery?c=${Lottery.Eid}`"
              v-for="(Lottery, index2) in Lotterys" :key="index2"
              @click="Lottery.Hallid ? openModal(Lottery.Name, Lottery.Hallid) : ''"
            >
              <img :src="Lottery.Img+'?'+version" alt="Lottery" />
            </a>
          </div>
          <div id="navPoker" class="game-item game-item-2">
            <a 
              :href="Poker.Hallid ? 'javascript:;' : `./card?c=${Poker.Eid}`"
              v-for="(Poker, index2) in Pokers" :key="index2"
              @click="Poker.Hallid ? openModal(Poker.Name, Poker.Hallid) : ''"
            >
              <img :src="Poker.Img" alt="Poker" />
            </a>
          </div>
          <div id="navESport" class="game-item game-item-2">
            <a 
              :href="ESport.Hallid ? 'javascript:;' : `./card?c=${ESport.Eid}`"
              v-for="(ESport, index2) in ESports" :key="index2"
              @click="ESport.Hallid ? openModal(ESport.Name, ESport.Hallid) : ''"
            >
              <img :src="ESport.Img" alt="ESport" />
            </a>
          </div>
          <div id="navFishing" class="game-item">
            <a 
              :href="Fishing.Hallid ? 'javascript:;' : `./fishing?c=${Fishing.Eid}`"
              v-for="(Fishing, index2) in Fishings" :key="index2"
              @click="Fishing.Hallid ? openModal(Fishing.Name, Fishing.Hallid) : ''"
            >
              <img :src="Fishing.Img" alt="Fishing" />
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>
</template> 

<script>
module.exports = {
  data() {
    return {
      isMobile: false,
      version :version,
      MobileNav: {
        Live: `/tpl/${theme}/assets/images/game/mobileNav/live.png`,
        Sport: `/tpl/${theme}/assets/images/game/mobileNav/sport.png`,
        Slot: `/tpl/${theme}/assets/images/game/mobileNav/slot.png`,
        Lottery: `/tpl/${theme}/assets/images/game/mobileNav/lottery.png?0107`,
        Poker: `/tpl/${theme}/assets/images/game/mobileNav/poker.png`,
        Fishing: `/tpl/${theme}/assets/images/game/mobileNav/fishing.png`,
        ESport: `/tpl/${theme}/assets/images/game/mobileNav/esport.png`,
        Hot: `/tpl/${theme}/assets/images/game/mobileNav/hot.png`,

        Live_h: `/tpl/${theme}/assets/images/game/mobileNav/live-h.png`,
        Sport_h: `/tpl/${theme}/assets/images/game/mobileNav/sport-h.png`,
        Slot_h: `/tpl/${theme}/assets/images/game/mobileNav/slot-h.png`,
        Lottery_h: `/tpl/${theme}/assets/images/game/mobileNav/lottery-h.png`,
        Poker_h: `/tpl/${theme}/assets/images/game/mobileNav/poker-h.png`,
        Fishing_h: `/tpl/${theme}/assets/images/game/mobileNav/fishing-h.png`,
        ESport_h: `/tpl/${theme}/assets/images/game/mobileNav/esport-h.png`,
        Hot_h: `/tpl/${theme}/assets/images/game/mobileNav/hot-h.png`,
      },
      Hots: [
        {
          Name: "熊貓體育",
          Img: `/tpl/${theme}/assets/images/game/sport/m/Panda.png?0406`,
          Hallid: "PASport",
        },
        {
          Name: "DG真人",
          Img: `/tpl/${theme}/assets/images/game/live/m/DG.png`,
          Hallid: "DG",
        },
        {
          Name: "AB真人",
          Img: `/tpl/${theme}/assets/images/game/live/m/AB.png`,
          Hallid: "AB",
        },
        {
          Name: "ATG電子",
          Img: `/tpl/${theme}/assets/images/game/slot/m/ATG.png`,
          Href: "./slot?c=ATG",
        },
        {
          Name: "RSG電子",
          Img: `/tpl/${theme}/assets/images/game/slot/m/RSG.png`,
          Href: "./slot?c=RSG",
          // Class: `${new Date() > new Date('2024-06-01T11:59:59+0800') && 'activity'}`
        },
      ],
      Lives: [
        {
          Name: "DG真人",
          Img: `/tpl/${theme}/assets/images/game/live/m/DG.png`,
          Hallid: "DG",
        },
        {
          Name: "AB真人",
          Img: `/tpl/${theme}/assets/images/game/live/m/AB.png`,
          Hallid: "AB",
        },
        {
          Name: "DB真人",
          Img: `/tpl/${theme}/assets/images/game/live/m/DB.png`,
          Hallid: "OBLive",
        },
        {
          Name: "YB真人",
          Img: `/tpl/${theme}/assets/images/game/live/m/YB.png`,
          Hallid: "YB",
        },
        {
          Name: "WM真人",
          Img: `/tpl/${theme}/assets/images/game/live/m/WM.png`,
          Hallid: "WM",
        },
        {
          Name: "OG真人",
          Img: `/tpl/${theme}/assets/images/game/live/m/OG.png`,
          Hallid: "OGLive",
        },
        {
          Name: "T9真人",
          Img: `/tpl/${theme}/assets/images/game/live/m/T9Live.png`,
          Hallid: "T9Live",
        },
        {
          Name: "RG真人",
          Img: `/tpl/${theme}/assets/images/game/live/m/RG.png`,
          Hallid: "RGLive",
        },
        {
          Name: "MT真人",
          Img: `/tpl/${theme}/assets/images/game/live/m/MTLive.png`,
          Hallid: "MTLive",
        },
      ],
      Sports: [
        {
          Name: "SUPER體育",
          Img: `/tpl/${theme}/assets/images/game/sport/m/SUPER.png`,
          Hallid: "SuperV2",
        },
        {
          Name: "鑫寶體育",
          Img: `/tpl/${theme}/assets/images/game/sport/m/SXB.png`,
          Hallid: "WGSport",
        },
        {
          Name: "熊貓體育",
          Img: `/tpl/${theme}/assets/images/game/sport/m/Panda.png?0406`,
          Hallid: "PASport",
        },
        {
          Name: "平博體育",
          Img: `/tpl/${theme}/assets/images/game/sport/m/PB.png?0406`,
          Hallid: "PBSport",
        },
      ],
      Slots: [
        {
          Name: "RSG電子",
          Img: `/tpl/${theme}/assets/images/game/slot/m/RSG.png`,
          Eid: "RSG",
          // Class: `${new Date() > new Date('2024-05-31T00:00:00+0800') && 'activity'}`
        },
        {
          Name: "ATG電子",
          Img: `/tpl/${theme}/assets/images/game/slot/m/ATG.png`,
          Eid: "ATG",
        },
        {
          Name: "BNG電子",
          Img: `/tpl/${theme}/assets/images/game/slot/m/BNG.png`,
          Eid: "BNG",
        },
        {
          Name: "好路電子",
          Img: `/tpl/${theme}/assets/images/game/slot/m/GR.png`,
          Eid: "GR",
        },
        {
          Name: "QT電子",
          Img: `/tpl/${theme}/assets/images/game/slot/m/QT.png`,
          Hallid: "QT",
        },
        {
          Name: "斑馬電子",
          Img: `/tpl/${theme}/assets/images/game/slot/m/ZG.png`,
          Eid: "DS",
        },
        {
          Name: "FG電子",
          Img: `/tpl/${theme}/assets/images/game/slot/m/FG.png`,
          Eid: "FGQP",
        },
        {
          Name: "GB電子",
          Img: `/tpl/${theme}/assets/images/game/slot/m/GB.png`,
          Hallid: "GBSlot",
        },
      ],
      Lotterys: [
        {
          Name: "9K彩票",
          Img: `/tpl/${theme}/assets/images/game/lottery/m/9K.png`,
          Hallid: "9K",
        },
        {
          Name: "SP彩球",
          Img: `/tpl/${theme}/assets/images/game/lottery/m/SUPER.png`,
          Hallid: "SuperCP",
        },
        {
          Name: "贏家彩球",
          Img: `/tpl/${theme}/assets/images/game/lottery/m/WG.png`,
          Hallid: "WGLottery",
        },
      ],
      Pokers: [
        {
          Name: "包你發棋牌",
          Img: `/tpl/${theme}/assets/images/game/poker/m/BLF.png`,
          Hallid: "BLF",
        },
        {
          Name: "幸運棋牌",
          Img: `/tpl/${theme}/assets/images/game/poker/m/LG.png`,
          Hallid:'LG'
        },
        {
          Name: "好路棋牌",
          Img: `/tpl/${theme}/assets/images/game/poker/m/GR.png`,
          Eid: "GR",
        },
        {
          Name: "老虎城棋牌",
          Img: `/tpl/${theme}/assets/images/game/poker/m/TIGER.jpg`,
          Hallid: "XGD",
        },
        {
          Name: "百勝棋牌",
          Img: `/tpl/${theme}/assets/images/game/poker/m/BS.jpg`,
          Hallid: "BSP",
        },
        {
          Name: "FG棋牌",
          Img: `/tpl/${theme}/assets/images/game/poker/m/FG.png`,
          Eid: "FGQP",
        },
      ],
      ESports: [
        {
          Name: "OB電競",
          Img: `/tpl/${theme}/assets/images/game/poker/m/OB.jpg`,
          Hallid: "OBESport",
        },
      ],
      Fishings: [
        {
          Name: "QT捕魚機",
          Img: `/tpl/${theme}/assets/images/game/fishing/m/QT.png`,
          Hallid: 'QT',
          GameID: "RTG-fishcatch"
        },
        {
          Name: "SP捕魚機",
          Img: `/tpl/${theme}/assets/images/game/fishing/m/SP.png`,
          Eid: "SP",
        },
        {
          Name: "幸運棋牌捕魚機",
          Img: `/tpl/${theme}/assets/images/game/fishing/m/LG.png`,
          Eid: 'LG',
        },
        {
          Name: "好路捕魚機",
          Img: `/tpl/${theme}/assets/images/game/fishing/m/GR.png`,
          Eid: "GR",
        },
        {
          Name: "DB捕魚機",
          Img: `/tpl/${theme}/assets/images/game/fishing/m/DB.png`,
          Eid: "OBFishing",
        },
        {
          Name: "FG捕魚機",
          Img: `/tpl/${theme}/assets/images/game/fishing/m/FG.png`,
          Eid: "FGQP",
        },
      ],
    };
  },
  mounted() {
    this.getSize()
    window.addEventListener('resize', this.getSize)
  },
  methods: {
    getSize() {
      let winWidth = $(window).width()
      if (winWidth <= 480) this.isMobile = true
      else this.isMobile = false
    },
    toGameNav(nav, event) {
      let el = event.currentTarget;
      $('.gameNav .game-item, .gameNav .nav-item').removeClass('active')
      $(`#${nav}`).addClass('active')
      $(el).addClass('active')
    },
    openModal(Name, Hallid) {
      if(isLogin) {
        $("body").addClass("hide");
        $("#Transfer").show();
        setTimeout(function() {
          $(`#Transfer .modal>div`).addClass("active");
        }, 5)
        this.$emit('update',Name,Hallid)
        this.$emit('position','Transfer')
      } else {
        Swal.fire('請先登入', '', 'error')
      }
    }
  },
};
</script>
